Subject: Re: bug#8911: bs-cycle-next deletes window in some cases.

From: Juanma Barranquero <[email-masked]>
Date: Tue, 21 Jun 2011 18:21:38 +0200

On Tue, Jun 21, 2011 at 18:12, martin rudalics <[email-masked]> wrote:

> Because it does (switch-to-buffer next) in `bs-cycle-next'?  Well, what
> else should it do?  Undedicate the window?  That is a tricky case.

Fail, i.e., do nothing (except displaying a message).

BTW, I'm not saying that switch-to-buffer should do nothing, I'm
saying that I expect bs-cycle-next to do nothing in such case. The
current behavior is not "cycling". But this is unrelated to your
changes, it already happens in 23.X. I'm more interested in fixing the
original problem.

    Juanma